package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterSourceQualityAnalysis;
import com.lightinit.hsdatashow.entity.WaterSourceQualityAnalysisExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.WaterSourceQualityAnalysisListModel;
import org.apache.ibatis.annotations.Param;

public interface WaterSourceQualityAnalysisMapper {
    long countByExample(WaterSourceQualityAnalysisExample example);

    int deleteByExample(WaterSourceQualityAnalysisExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterSourceQualityAnalysis record);

    int insertSelective(WaterSourceQualityAnalysis record);

    List<WaterSourceQualityAnalysis> selectByExample(WaterSourceQualityAnalysisExample example);

    WaterSourceQualityAnalysis selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterSourceQualityAnalysis record, @Param("example") WaterSourceQualityAnalysisExample example);

    int updateByExample(@Param("record") WaterSourceQualityAnalysis record, @Param("example") WaterSourceQualityAnalysisExample example);

    int updateByPrimaryKeySelective(WaterSourceQualityAnalysis record);

    int updateByPrimaryKey(WaterSourceQualityAnalysis record);

    List<WaterSourceQualityAnalysisListModel> getWaterSourceQualityAnalysis();

}